Skip Menu |
 

This queue is for tickets about the Dist-Zilla-PluginBundle-Apocalyptic CPAN distribution.

Report information
The Basics
Id: 99802
Status: new
Priority: 0/
Queue: Dist-Zilla-PluginBundle-Apocalyptic

People
Owner: Nobody in particular
Requestors: ether [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.003
Fixed in: (no value)



Subject: 'use'ing all plugins makes it impossible to -remove one
Download (untitled) / with headers
text/plain 487b
I saw you added ::PluginRemover, which allows a user to splice out the use of a plugin e.g. if it will not install in a particular environment. However, because you explicitly 'use' all the plugins at the top of the module, it's still not actually possible to do this. I suggest you remove all the 'use' lines, and instead simply declare prereqs on them in dist.ini with an old-fashioned [Prereqs] list. Config::INI will load all the plugins for you anyway when you pass them upwards.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.